Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class VisitorArgResult

    java.lang.Object
      javafe.ast.VisitorArgResult
          escjava.ast.VisitorArgResult

public abstract class VisitorArgResult
extends VisitorArgResult

Constructor Summary
`VisitorArgResult()`

Method Summary
`abstract java.lang.Object` | `visitAnOverview(AnOverview x, java.lang.Object o)`
`abstract java.lang.Object` | `visitArrayRangeRefExpr(ArrayRangeRefExpr x, java.lang.Object o)`
`java.lang.Object` | `visitAssignCmd(AssignCmd x, java.lang.Object o)`
`java.lang.Object` | `visitCall(Call x, java.lang.Object o)`
`java.lang.Object` | `visitCmdCmdCmd(CmdCmdCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitCondExprModifierPragma(CondExprModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitCondition(Condition x, java.lang.Object o)`
`abstract java.lang.Object` | `visitDefPred(DefPred x, java.lang.Object o)`
`abstract java.lang.Object` | `visitDefPredApplExpr(DefPredApplExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitDefPredLetExpr(DefPredLetExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitDependsPragma(DependsPragma x, java.lang.Object o)`
`java.lang.Object` | `visitDynInstCmd(DynInstCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitEverythingExpr(EverythingExpr x, java.lang.Object o)`
`java.lang.Object` | `visitExprCmd(ExprCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitExprDeclPragma(ExprDeclPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitExprModifierPragma(ExprModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitExprStmtPragma(ExprStmtPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitGCExpr(GCExpr x, java.lang.Object o)`
`java.lang.Object` | `visitGeneralizedQuantifiedExpr(GeneralizedQuantifiedExpr x, java.lang.Object o)`
`java.lang.Object` | `visitGetsCmd(GetsCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitGhostDeclPragma(GhostDeclPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitGuardedCmd(GuardedCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitGuardExpr(GuardExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitIdentifierModifierPragma(IdentifierModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitIdExprDeclPragma(IdExprDeclPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitImportPragma(ImportPragma x, java.lang.Object o)`
`java.lang.Object` | `visitLabelExpr(LabelExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitLockSetExpr(LockSetExpr x, java.lang.Object o)`
`java.lang.Object` | `visitLoopCmd(LoopCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitMapsExprModifierPragma(MapsExprModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitModelConstructorDeclPragma(ModelConstructorDeclPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitModelDeclPragma(ModelDeclPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitModelMethodDeclPragma(ModelMethodDeclPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitModelProgamModifierPragma(ModelProgamModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitModelTypePragma(ModelTypePragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitModifiesGroupPragma(ModifiesGroupPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitNamedExprDeclPragma(NamedExprDeclPragma x, java.lang.Object o)`
`java.lang.Object` | `visitNaryExpr(NaryExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitNestedModifierPragma(NestedModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitNothingExpr(NothingExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitNotModifiedExpr(NotModifiedExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitNotSpecifiedExpr(NotSpecifiedExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitNowarnPragma(NowarnPragma x, java.lang.Object o)`
`java.lang.Object` | `visitNumericalQuantifiedExpr(NumericalQuantifiedExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitParsedSpecs(ParsedSpecs x, java.lang.Object o)`
`java.lang.Object` | `visitQuantifiedExpr(QuantifiedExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitReachModifierPragma(ReachModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitRefinePragma(RefinePragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitResExpr(ResExpr x, java.lang.Object o)`
`java.lang.Object` | `visitRestoreFromCmd(RestoreFromCmd x, java.lang.Object o)`
`java.lang.Object` | `visitSeqCmd(SeqCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitSetCompExpr(SetCompExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitSetStmtPragma(SetStmtPragma x, java.lang.Object o)`
`java.lang.Object` | `visitSimpleCmd(SimpleCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitSimpleModifierPragma(SimpleModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitSimpleStmtPragma(SimpleStmtPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitSkolemConstantPragma(SkolemConstantPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitSpec(Spec x, java.lang.Object o)`
`abstract java.lang.Object` | `visitStillDeferredDeclPragma(StillDeferredDeclPragma x, java.lang.Object o)`
`java.lang.Object` | `visitSubGetsCmd(SubGetsCmd x, java.lang.Object o)`
`java.lang.Object` | `visitSubstExpr(SubstExpr x, java.lang.Object o)`
`java.lang.Object` | `visitSubSubGetsCmd(SubSubGetsCmd x, java.lang.Object o)`
`java.lang.Object` | `visitTypeExpr(TypeExpr x, java.lang.Object o)`
`abstract java.lang.Object` | `visitVarDeclModifierPragma(VarDeclModifierPragma x, java.lang.Object o)`
`abstract java.lang.Object` | `visitVarExprModifierPragma(VarExprModifierPragma x, java.lang.Object o)`
`java.lang.Object` | `visitVarInCmd(VarInCmd x, java.lang.Object o)`
`abstract java.lang.Object` | `visitWildRefExpr(WildRefExpr x, java.lang.Object o)`

Methods inherited from class javafe.ast.VisitorArgResult
`visitAmbiguousMethodInvocation, visitAmbiguousVariableAccess, visitArrayInit, visitArrayRefExpr, visitArrayType, visitAssertStmt, visitASTNode, visitBinaryExpr, visitBlockStmt, visitBranchStmt, visitBreakStmt, visitCastExpr, visitCatchClause, visitClassDecl, visitClassDeclStmt, visitClassLiteral, visitCompilationUnit, visitCompoundName, visitCondExpr, visitConstructorDecl, visitConstructorInvocation, visitContinueStmt, visitDoStmt, visitErrorType, visitEvalStmt, visitExpr, visitExprObjectDesignator, visitFieldAccess, visitFieldDecl, visitFormalParaDecl, visitForStmt, visitGenericBlockStmt, visitGenericVarDecl, visitIfStmt, visitImportDecl, visitInitBlock, visitInstanceOfExpr, visitInterfaceDecl, visitLabelStmt, visitLexicalPragma, visitLiteralExpr, visitLocalVarDecl, visitMethodDecl, visitMethodInvocation, visitModifierPragma, visitName, visitNewArrayExpr, visitNewInstanceExpr, visitObjectDesignator, visitOnDemandImportDecl, visitParenExpr, visitPrimitiveType, visitReturnStmt, visitRoutineDecl, visitSimpleName, visitSingleTypeImportDecl, visitSkipStmt, visitStmt, visitStmtPragma, visitSuperObjectDesignator, visitSwitchLabel, visitSwitchStmt, visitSynchronizeStmt, visitThisExpr, visitThrowStmt, visitTryCatchStmt, visitTryFinallyStmt, visitType, visitTypeDecl, visitTypeDeclElemPragma, visitTypeModifierPragma, visitTypeName, visitTypeObjectDesignator, visitUnaryExpr, visitVarDeclStmt, visitVariableAccess, visitVarInit, visitWhileStmt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitorArgResult

    public VisitorArgResult()

Method Detail

### visitAnOverview

    public abstract java.lang.Object visitAnOverview(AnOverview x,
                                                     java.lang.Object o)

### visitGCExpr

    public abstract java.lang.Object visitGCExpr(GCExpr x,
                                                 java.lang.Object o)

### visitNaryExpr

    public java.lang.Object visitNaryExpr(NaryExpr x,
                                          java.lang.Object o)

### visitQuantifiedExpr

    public java.lang.Object visitQuantifiedExpr(QuantifiedExpr x,
                                                java.lang.Object o)

### visitGeneralizedQuantifiedExpr

    public java.lang.Object visitGeneralizedQuantifiedExpr(GeneralizedQuantifiedExpr x,
                                                           java.lang.Object o)

### visitNumericalQuantifiedExpr

    public java.lang.Object visitNumericalQuantifiedExpr(NumericalQuantifiedExpr x,
                                                         java.lang.Object o)

### visitSubstExpr

    public java.lang.Object visitSubstExpr(SubstExpr x,
                                           java.lang.Object o)

### visitTypeExpr

    public java.lang.Object visitTypeExpr(TypeExpr x,
                                          java.lang.Object o)

### visitLabelExpr

    public java.lang.Object visitLabelExpr(LabelExpr x,
                                           java.lang.Object o)

### visitWildRefExpr

    public abstract java.lang.Object visitWildRefExpr(WildRefExpr x,
                                                      java.lang.Object o)

### visitGuardExpr

    public abstract java.lang.Object visitGuardExpr(GuardExpr x,
                                                    java.lang.Object o)

### visitResExpr

    public abstract java.lang.Object visitResExpr(ResExpr x,
                                                  java.lang.Object o)

### visitSetCompExpr

    public abstract java.lang.Object visitSetCompExpr(SetCompExpr x,
                                                      java.lang.Object o)

### visitLockSetExpr

    public abstract java.lang.Object visitLockSetExpr(LockSetExpr x,
                                                      java.lang.Object o)

### visitEverythingExpr

    public abstract java.lang.Object visitEverythingExpr(EverythingExpr x,
                                                         java.lang.Object o)

### visitNothingExpr

    public abstract java.lang.Object visitNothingExpr(NothingExpr x,
                                                      java.lang.Object o)

### visitNotSpecifiedExpr

    public abstract java.lang.Object visitNotSpecifiedExpr(NotSpecifiedExpr x,
                                                           java.lang.Object o)

### visitNotModifiedExpr

    public abstract java.lang.Object visitNotModifiedExpr(NotModifiedExpr x,
                                                          java.lang.Object o)

### visitArrayRangeRefExpr

    public abstract java.lang.Object visitArrayRangeRefExpr(ArrayRangeRefExpr x,
                                                            java.lang.Object o)

### visitDefPredLetExpr

    public abstract java.lang.Object visitDefPredLetExpr(DefPredLetExpr x,
                                                         java.lang.Object o)

### visitDefPredApplExpr

    public abstract java.lang.Object visitDefPredApplExpr(DefPredApplExpr x,
                                                          java.lang.Object o)

### visitGuardedCmd

    public abstract java.lang.Object visitGuardedCmd(GuardedCmd x,
                                                     java.lang.Object o)

### visitSimpleCmd

    public java.lang.Object visitSimpleCmd(SimpleCmd x,
                                           java.lang.Object o)

### visitExprCmd

    public java.lang.Object visitExprCmd(ExprCmd x,
                                         java.lang.Object o)

### visitAssignCmd

    public java.lang.Object visitAssignCmd(AssignCmd x,
                                           java.lang.Object o)

### visitGetsCmd

    public java.lang.Object visitGetsCmd(GetsCmd x,
                                         java.lang.Object o)

### visitSubGetsCmd

    public java.lang.Object visitSubGetsCmd(SubGetsCmd x,
                                            java.lang.Object o)

### visitSubSubGetsCmd

    public java.lang.Object visitSubSubGetsCmd(SubSubGetsCmd x,
                                               java.lang.Object o)

### visitRestoreFromCmd

    public java.lang.Object visitRestoreFromCmd(RestoreFromCmd x,
                                                java.lang.Object o)

### visitVarInCmd

    public java.lang.Object visitVarInCmd(VarInCmd x,
                                          java.lang.Object o)

### visitDynInstCmd

    public java.lang.Object visitDynInstCmd(DynInstCmd x,
                                            java.lang.Object o)

### visitSeqCmd

    public java.lang.Object visitSeqCmd(SeqCmd x,
                                        java.lang.Object o)

### visitLoopCmd

    public java.lang.Object visitLoopCmd(LoopCmd x,
                                         java.lang.Object o)

### visitCmdCmdCmd

    public java.lang.Object visitCmdCmdCmd(CmdCmdCmd x,
                                           java.lang.Object o)

### visitCall

    public java.lang.Object visitCall(Call x,
                                      java.lang.Object o)

### visitExprDeclPragma

    public abstract java.lang.Object visitExprDeclPragma(ExprDeclPragma x,
                                                         java.lang.Object o)

### visitIdExprDeclPragma

    public abstract java.lang.Object visitIdExprDeclPragma(IdExprDeclPragma x,
                                                           java.lang.Object o)

### visitNamedExprDeclPragma

    public abstract java.lang.Object visitNamedExprDeclPragma(NamedExprDeclPragma x,
                                                              java.lang.Object o)

### visitModelDeclPragma

    public abstract java.lang.Object visitModelDeclPragma(ModelDeclPragma x,
                                                          java.lang.Object o)

### visitDependsPragma

    public abstract java.lang.Object visitDependsPragma(DependsPragma x,
                                                        java.lang.Object o)

### visitModelConstructorDeclPragma

    public abstract java.lang.Object visitModelConstructorDeclPragma(ModelConstructorDeclPragma x,
                                                                     java.lang.Object o)

### visitModelTypePragma

    public abstract java.lang.Object visitModelTypePragma(ModelTypePragma x,
                                                          java.lang.Object o)

### visitModelMethodDeclPragma

    public abstract java.lang.Object visitModelMethodDeclPragma(ModelMethodDeclPragma x,
                                                                java.lang.Object o)

### visitGhostDeclPragma

    public abstract java.lang.Object visitGhostDeclPragma(GhostDeclPragma x,
                                                          java.lang.Object o)

### visitStillDeferredDeclPragma

    public abstract java.lang.Object visitStillDeferredDeclPragma(StillDeferredDeclPragma x,
                                                                  java.lang.Object o)

### visitSimpleStmtPragma

    public abstract java.lang.Object visitSimpleStmtPragma(SimpleStmtPragma x,
                                                           java.lang.Object o)

### visitIdentifierModifierPragma

    public abstract java.lang.Object visitIdentifierModifierPragma(IdentifierModifierPragma x,
                                                                   java.lang.Object o)

### visitExprStmtPragma

    public abstract java.lang.Object visitExprStmtPragma(ExprStmtPragma x,
                                                         java.lang.Object o)

### visitSetStmtPragma

    public abstract java.lang.Object visitSetStmtPragma(SetStmtPragma x,
                                                        java.lang.Object o)

### visitSkolemConstantPragma

    public abstract java.lang.Object visitSkolemConstantPragma(SkolemConstantPragma x,
                                                               java.lang.Object o)

### visitModelProgamModifierPragma

    public abstract java.lang.Object visitModelProgamModifierPragma(ModelProgamModifierPragma x,
                                                                    java.lang.Object o)

### visitNestedModifierPragma

    public abstract java.lang.Object visitNestedModifierPragma(NestedModifierPragma x,
                                                               java.lang.Object o)

### visitParsedSpecs

    public abstract java.lang.Object visitParsedSpecs(ParsedSpecs x,
                                                      java.lang.Object o)

### visitSimpleModifierPragma

    public abstract java.lang.Object visitSimpleModifierPragma(SimpleModifierPragma x,
                                                               java.lang.Object o)

### visitExprModifierPragma

    public abstract java.lang.Object visitExprModifierPragma(ExprModifierPragma x,
                                                             java.lang.Object o)

### visitModifiesGroupPragma

    public abstract java.lang.Object visitModifiesGroupPragma(ModifiesGroupPragma x,
                                                              java.lang.Object o)

### visitCondExprModifierPragma

    public abstract java.lang.Object visitCondExprModifierPragma(CondExprModifierPragma x,
                                                                 java.lang.Object o)

### visitMapsExprModifierPragma

    public abstract java.lang.Object visitMapsExprModifierPragma(MapsExprModifierPragma x,
                                                                 java.lang.Object o)

### visitReachModifierPragma

    public abstract java.lang.Object visitReachModifierPragma(ReachModifierPragma x,
                                                              java.lang.Object o)

### visitVarDeclModifierPragma

    public abstract java.lang.Object visitVarDeclModifierPragma(VarDeclModifierPragma x,
                                                                java.lang.Object o)

### visitVarExprModifierPragma

    public abstract java.lang.Object visitVarExprModifierPragma(VarExprModifierPragma x,
                                                                java.lang.Object o)

### visitNowarnPragma

    public abstract java.lang.Object visitNowarnPragma(NowarnPragma x,
                                                       java.lang.Object o)

### visitImportPragma

    public abstract java.lang.Object visitImportPragma(ImportPragma x,
                                                       java.lang.Object o)

### visitRefinePragma

    public abstract java.lang.Object visitRefinePragma(RefinePragma x,
                                                       java.lang.Object o)

### visitSpec

    public abstract java.lang.Object visitSpec(Spec x,
                                               java.lang.Object o)

### visitCondition

    public abstract java.lang.Object visitCondition(Condition x,
                                                    java.lang.Object o)

### visitDefPred

    public abstract java.lang.Object visitDefPred(DefPred x,
                                                  java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage